package cn.com.infosec.crypto.generators;

import cn.com.infosec.crypto.CipherKeyGenerator;
import cn.com.infosec.crypto.params.DESParameters;

public class DESKeyGenerator extends CipherKeyGenerator {
   public byte[] generateKey() {
      byte[] var1 = new byte[8];

      do {
         super.random.nextBytes(var1);
         DESParameters.setOddParity(var1);
      } while(DESParameters.isWeakKey(var1, 0));

      return var1;
   }
}
